FAQ
I'm working on upgrading from a development build
of 3.0 to 3.1.

Here is a list of things that I have done so far:

- Tip: upgrade to 3.0.x to 3.0.1 and fix deprecated warnings
and test.
- new Ordering() has changed constructors. Switched to
non-deprecated versions.
- The LifeCycle interface has new methods. Add stubs
before switching to 3.1.
- MergerContext has a new method: getDataNode() => add it.
- Stop using ResourceLocator, it's deprecated.
- getDataContext() in CayenneDataObject is gone in 3.1, add
a getDataContext() method in my superclass to the generated
classes from Cayenne modeler.
- DataObjectUtils is deprecated, get rid of warnings by switching
to Cayenne class.
- getMap() => getDataMap() to fix deprecated warnings.
- I've added a Configuration class to replace the Configuration
class that is now gone in Cayenne 3.1.

Things now build but I run into problems, which I'll address
in a separate post.

--
Øyvind Harboe

Can Zylin Consulting help on your project?

US toll free 1-866-980-3434 / International +47 51 87 40 27

http://www.zylin.com/zy1000.html
ARM7 ARM9 ARM11 XScale Cortex
JTAG debugger and flash programmer

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupuser @
categoriescayenne
postedJan 21, '11 at 8:04p
activeJan 21, '11 at 8:04p
posts1
users1
websitecayenne.apache.org

1 user in discussion

Øyvind Harboe: 1 post

People

Translate

site design / logo © 2022 Grokbase